Public Member Functions | Private Attributes | List of all members
libebook::EBOOKUTF8Stream Class Reference

`#include <EBOOKUTF8Stream.h>`

Inheritance diagram for libebook::EBOOKUTF8Stream:

## Public Member Functions
| EBOOKUTF8Stream (librevenge::RVNGInputStream *strm, EBOOKCharsetConverter *converter=nullptr)
| ~EBOOKUTF8Stream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Attributes
std::unique_ptr< librevenge::RVNGInputStream > | m_stream

## Constructor & Destructor Documentation

## ◆ EBOOKUTF8Stream()

libebook::EBOOKUTF8Stream::EBOOKUTF8Stream | ( | librevenge::RVNGInputStream * | strm,
|  | EBOOKCharsetConverter * | converter = `nullptr`
| ) |  |
| explicit

## ◆ ~EBOOKUTF8Stream()

libebook::EBOOKUTF8Stream::~EBOOKUTF8Stream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::EBOOKUTF8Stream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::EBOOKUTF8Stream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::EBOOKUTF8Stream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libebook::EBOOKUTF8Stream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libebook::EBOOKUTF8Stream::isStructured | ( |  | ) |
| override

## ◆ read()

const unsigned char * libebook::EBOOKUTF8Stream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| override

## ◆ seek()

int libebook::EBOOKUTF8Stream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| override

## ◆ subStreamCount()

unsigned libebook::EBOOKUTF8Stream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libebook::EBOOKUTF8Stream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libebook::EBOOKUTF8Stream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_stream

std::unique_ptr<librevenge::RVNGInputStream> libebook::EBOOKUTF8Stream::m_stream
| private

Referenced by EBOOKUTF8Stream(), getSubStreamById(), getSubStreamByName(), isEnd(), isStructured(), read(), seek(), subStreamCount(), subStreamName(), and tell().

The documentation for this class was generated from the following files:

- EBOOKUTF8Stream.h
- EBOOKUTF8Stream.cpp